%global forgeurl    https://github.com/NanoMichael/cLaTeXMath
%global commit      44ea33777c9f3ffde8f1d2149ce30362accebe63

Name:           cLaTeXMath
Version:        0
Release:        1%{?dist}
Summary:        A dynamic and cross-platform LaTeX rendering library

%forgemeta

License:        MIT and OFL and Knuth and DoubleStroke
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  meson
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(gtksourceviewmm-3.0)

%global _description %{expand:
It is a dynamic, cross-platform, and embeddable LaTeX rendering library. Its
main purpose is to display mathematical formulas written in LaTeX. It can be
embedded in applications on various platforms (Android, iOS, Windows, Linux GTK,
Qt...). The following pictures demonstrate the application run in Ubuntu (using
GTK) and Windows.}

%description %_description

%package devel
Summary:        %{summary}

Requires:       %{name}%{?_isa} = %{version}-%{release}

Requires:       pkgconfig(fontconfig)
Requires:       pkgconfig(gtkmm-3.0)
Requires:       pkgconfig(gtksourceviewmm-3.0)

%description devel %_description


%prep
%forgeautosetup


%build
%meson
%meson_build


%install
%meson_install


%files
%doc README.md
%license res/fonts/licences/*
%{_datadir}/clatexmath
%{_libdir}/libclatexmath.so.0
%{_libdir}/libclatexmath.so.0.0.1


%files devel
%doc readme
%{_includedir}/clatexmath
%{_libdir}/libclatexmath.so
%{_libdir}/pkgconfig/clatexmath.pc


%changelog
* Wed Nov 18 2020 Lyes Saadi <fedora@lyes.eu>
- Initial package
